import {Model, DataTypes} from "sequelize";

export class UploadedFiles extends Model {
    declare id: string;
    declare time: string;
    declare status: number;
    declare filename: string;

    static tableName = 'tb_uploaded_file';

    static attributes = {
        id: {
            type: DataTypes.STRING,
            primaryKey: true,
            comment: "对象id"
        },
        time: {
            type: DataTypes.DATE,
            comment: '上传时间'
        },
        filename: {
            type: DataTypes.STRING,
            comment: '文件名'
        },
        size: {
            type: DataTypes.INTEGER,
            comment: '长度（字节）'
        },
        status: {
            type: DataTypes.INTEGER,
            comment: '状态：0=尚未上传，1=上传完成，2=需要保留'
        }
    }

    static indexes = [
        {fields: ['time']},
        {fields: ['status']},
    ]
    static initSqls = [];
}
