import {PrjInfo} from "@core-models/PrjInfo";
import {Op} from "sequelize";
import {PrjPhaseDefine} from "@core-models/PrjPhaseDefine";
import dayjs from "dayjs";
import {ReportPrjState} from "@core-models/ReportPrjState";

export  function prj_stat_monthly(): Promise<void> {
    return new Promise(async (resolve, reject) => {
        try {
            // 使用dayjs获取今天是否是月末这一天
            // let is_last_day = dayjs().isSame(dayjs().endOf('month'), 'day');
            //if (!is_last_day) return resolve();
            let count = await PrjInfo.count({where: {phase_id: {[Op.ne]: 'deprecated'}}});
            let undone = await PrjInfo.count({where: {phase_id: {[Op.ne]: 'done'}}});
            let ts = dayjs().endOf("month").format('YYYY-MM-DD');
            // await PrjStatReport.findOrCreate({
            //     where: {
            //         ts: ts
            //     },
            //     defaults: {
            //         ts: ts,
            //         amount: count,
            //         undone: undone
            //     }
            // })
            await ReportPrjState.upsert({
                ts: ts,
                amount: count,
                undone: undone
            }, {returning: false})
            resolve();
        } catch (error) {
            reject(error);
        }
    });
}